#!/bin/bash
set -ex

export WANDB_DIR="/mnt//reddit_mud/raw_all/emnlp/models/wandb"


python tinystyle_train.py \
--learning_rate 1e-5 \
--batch_size 16 \
--accumulation_steps 4 \
--out_dir /mnt//reddit_mud/raw_all/emnlp/models/enc_dec_cond \
--warmup_steps 2000 \
--max_steps 100000000 \
--ctrl_embed_dim 768 \
--style_embed style_embedding \
--data_file_path '/mnt//reddit_mud/raw_all/emnlp/full_dataset/reddit_emnlp_with_style_embeds/' \
--seed 42 \
--max_encoder_len 80 \
--max_decoder_len 80 \
--max_val_batch 200
--model_name google/t5-v1_1-large